- Main Page
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CORBA::ContextList Class Reference

ContextList definition taken from CORBA v2.3a Dec 1998. More...

`#include <Context.h>`

Collaboration diagram for CORBA::ContextList:

[legend]
List of all members.

## Public Types
typedef CORBA::ContextList_ptr | _ptr_type
typedef CORBA::ContextList_var | _var_type
## Public Member Functions
| ContextList (void)
| Constructor.
| ContextList (CORBA::ULong len, char **ctx_list)
| ~ContextList (void)
| Destructor.
CORBA::ULong | count (void)
| Return the number of elements.
ContextList_ptr | _duplicate (void)
| Increment the reference count.
void | _destroy (void)
| Decrement the reference count and delete if it is 0.
void | add (char *ctx)
| Add a string to the list.
void | add_consume (char *ctx)
| Add and consume a string to the list.
char * | item (CORBA::ULong slot)
| Return the typecode at slot i. Raises the "Bounds" exception.
void | remove (CORBA::ULong slot)
| Remove the typecode at slot i. Raises the "Bounds" exception.
void | _incr_refcnt (void)
| Increment and decrement ref counts.
void | _decr_refcnt (void)
## Static Public Member Functions
static ContextList_ptr | _duplicate (ContextList *)
| Increment the reference count.
static ContextList_ptr | _nil ()
| Return null pointer of this type.
## Private Member Functions
| ContextList (const ContextList &)
ContextList & | operator= (const ContextList &)
## Private Attributes
ACE_Atomic_Op< TAO_SYNCH_MUTEX, CORBA::ULong > | ref_count_
| Reference counter.
ACE_Unbounded_Queue< char * > | ctx_list_
| Internal list of typecodes.

## Detailed Description

ContextList definition taken from CORBA v2.3a Dec 1998.

Maintains a list of strings for Contexts.

## Member Typedef Documentation

typedef CORBA::ContextList_ptr CORBA::ContextList::_ptr_type

typedef CORBA::ContextList_var CORBA::ContextList::_var_type

## Constructor & Destructor Documentation

ACE_INLINE CORBA::ContextList::ContextList | ( | void |  | ) |

Constructor.

CORBA::ContextList::ContextList | ( | CORBA::ULong | len,
|  | char ** | ctx_list |
| ) |  |  |

Constructor - initialize given a length and an array of strings.

CORBA::ContextList::~ContextList | ( | void |  | ) |

Destructor.

CORBA::ContextList::ContextList | ( | const ContextList & |  | ) | `[private]`

## Member Function Documentation

void CORBA::ContextList::_decr_refcnt | ( | void |  | ) |

void CORBA::ContextList::_destroy | ( | void |  | ) |

Decrement the reference count and delete if it is 0.

static ContextList_ptr CORBA::ContextList::_duplicate | ( | ContextList * |  | ) | `[static]`

Increment the reference count.

CORBA::ContextList_ptr CORBA::ContextList::_duplicate | ( | void |  | ) |

Increment the reference count.

void CORBA::ContextList::_incr_refcnt | ( | void |  | ) |

Increment and decrement ref counts.

ACE_INLINE CORBA::ContextList_ptr CORBA::ContextList::_nil | ( |  | ) | `[static]`

Return null pointer of this type.

void CORBA::ContextList::add | ( | char * | ctx | ) |

Add a string to the list.

void CORBA::ContextList::add_consume | ( | char * | ctx | ) |

Add and consume a string to the list.

ACE_INLINE CORBA::ULong CORBA::ContextList::count | ( | void |  | ) |

Return the number of elements.

char * CORBA::ContextList::item | ( | CORBA::ULong | slot | ) |

Return the typecode at slot i. Raises the "Bounds" exception.

ContextList& CORBA::ContextList::operator= | ( | const ContextList & |  | ) | `[private]`

void CORBA::ContextList::remove | ( | CORBA::ULong | slot | ) |

Remove the typecode at slot i. Raises the "Bounds" exception.

## Member Data Documentation

ACE_Unbounded_Queue<char *> CORBA::ContextList::ctx_list_`[private]`

Internal list of typecodes.

ACE_Atomic_Op<TAO_SYNCH_MUTEX, CORBA::ULong> CORBA::ContextList::ref_count_`[private]`

Reference counter.

The documentation for this class was generated from the following files:

- Context.h
- Context.cpp
- Context.inl